Enjoy Slackware 15.0!

Welcome to the Slackware Documentation Project

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Last revision Both sides next revision
howtos:multimedia:pulseaudio [2015/11/22 14:37 (UTC)]
gerardo.zamudio [Installation on a x86_64 multilib system] fix typo
howtos:multimedia:pulseaudio [2016/01/12 21:37 (UTC)]
fsleg [Installation on a x86_64 multilib system]
Line 34: Line 34:
 First, install 64bit package of PulseAudio as described above. First, install 64bit package of PulseAudio as described above.
  
-Second, you need to compile 32bit package. Unfortunately, you can't use sbotools to do that for you because of a few errors that require you to edit SlackBuild for PA. You can compile speex and json-c as compat32 packages without any problem, but PulseAudio for some reason doesn't want to compile with 32bit version of libxcb and libcap, so, if it fails to compile as is, you'll need to edit SlackBuild to add ''%%--%%disable-x11 %%--%%without-cap'' for it to build successfully. It doesn't matter here, because all we are after is 32bit libpulse. Next, for some reason even after importing 32dev.sh PA still tries to use some 64bit libraries. So you'll need to start SlackBuild like this:+Second, you need to compile 32bit package. Unfortunately, you can't use sbotools to do that for you because of a few errors that require you to edit SlackBuild for PA. You can compile speex and json-c as compat32 packages without any problem, but PulseAudio for some reason doesn't want to compile with 32bit version of libxcb and libcap, so, if it fails to compile as is, you'll need to edit SlackBuild to add ''%%--%%disable-x11 %%--%%without-caps'' for it to build successfully. Sometimes you need to disable more options, inspect the output in case compilation fails. It doesn't matter here, because all we are after is 32bit libpulse. Next, for some reason even after importing 32dev.sh PA still tries to use some 64bit libraries. So you'll need to start SlackBuild like this:
  
     PKG_CONFIG_PATH=/usr/lib/pkgconfig PKG_CONFIG_LIBDIR=/usr/lib/pkgconfig LDFLAGS="-L/usr/lib" ./pulseaudio.SlackBuild     PKG_CONFIG_PATH=/usr/lib/pkgconfig PKG_CONFIG_LIBDIR=/usr/lib/pkgconfig LDFLAGS="-L/usr/lib" ./pulseaudio.SlackBuild
  
-This will force PA to use the correct libraries and allow it to compile. Make compat32 package and install it. You don't need 32bit alsa-plugins or pavucontrol. +This will force PA to use the correct libraries and allow it to compile. Make compat32 package and install it. You don't need 32bit pavucontrol. 32bit alsa-plugins is needed only for 32bit applications, usually wine, to work properly.
  
 ===== Using PulseAudio ===== ===== Using PulseAudio =====

In Other Languages
QR Code
QR Code howtos:multimedia:pulseaudio (generated for current page)